## org.gnu.gtk
Class Calendar

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Calendar

public class Calendar
extends Widget

A Calendar is a widget that displays a calendar one month at a time.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Calendar()` Create a new Calendar object with the current date selected.
`Calendar(Handle handle)` Construct a calendar using a handle to a native resource.

Method Summary
`void` `addListener(CalendarListener listener)` Register an object to handle calendar events.
`void` `clearMarks()` Remove all visual marks.
`void` `freeze()` Locks the display of the Calendar until it is thawed with the `thaw()` method.
`java.util.Calendar` `getDate()` Gets the selected date from a Calendar.
`CalendarDisplayOptions` `getDisplayOptions()` Gets the display options (whether to display the heading and the month headings.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_calendar_clear_marks(Handle calendar)`
`protected static void` `gtk_calendar_freeze(Handle calendar)`
`protected static void` `gtk_calendar_get_date(Handle calendar, int[] year, int[] month, int[] day)`
`protected static int` `gtk_calendar_get_display_options(Handle calendar)`
`protected static int` `gtk_calendar_get_type()`
`protected static int` `gtk_calendar_mark_day(Handle calendar, int day)`
`protected static Handle` `gtk_calendar_new()`
`protected static void` `gtk_calendar_select_day(Handle calendar, int day)`
`protected static int` `gtk_calendar_select_month(Handle calendar, int month, int year)`
`protected static void` `gtk_calendar_set_display_options(Handle calendar, int flags)`
`protected static void` `gtk_calendar_thaw(Handle calendar)`
`protected static int` `gtk_calendar_unmark_day(Handle calendar, int day)`
`void` `markDay(int day)` Places a visual marker on a particular day.
`void` `removeListener(CalendarListener listener)` Removes a listener
`void` `selectDay(int day)` Selects a day from the current month.
`void` `selectMonth(int month, int year)` Shifts the calendar to a different month.
`void` `setDisplayOptions(CalendarDisplayOptions displayOptions)` Sets the display options (whether to display the heading and the month headings.
`void` `thaw()` Defrosts a Calendar.
`void` `unmarkDay(int day)` Removes the visual marker from a particular day.

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Calendar

    public Calendar()

  Create a new Calendar object with the current date selected.

### Calendar

    public Calendar(Handle handle)

  Construct a calendar using a handle to a native resource.

Method Detail

### selectMonth

    public void selectMonth(int month,
                            int year)

  Shifts the calendar to a different month.

  Parameters:
    `month` - The month to select. This value is zero based.
    `year` - The year the month is in.

### selectDay

    public void selectDay(int day)

  Selects a day from the current month.

  Parameters:
    `day` - A day number between 1 and 31, or 0 to unselect the currently selected day.

### markDay

    public void markDay(int day)

  Places a visual marker on a particular day.

  Parameters:
    `day` - The day number to mark between 1 and 31.

### unmarkDay

    public void unmarkDay(int day)

  Removes the visual marker from a particular day.

  Parameters:
    `day` - The day number to unmark between 1 and 31.

### clearMarks

    public void clearMarks()

  Remove all visual marks.

### setDisplayOptions

    public void setDisplayOptions(CalendarDisplayOptions displayOptions)

  Sets the display options (whether to display the heading and the month headings.

  Parameters:
    `displayOptions` - The options to set.

### getDisplayOptions

    public CalendarDisplayOptions getDisplayOptions()

  Gets the display options (whether to display the heading and the month headings.

### getDate

    public java.util.Calendar getDate()

  Gets the selected date from a Calendar.

  Returns:
    A Calendar object that represents the date selected in the widget.

### freeze

    public void freeze()

  Locks the display of the Calendar until it is thawed with the `thaw()` method.

### thaw

    public void thaw()

  Defrosts a Calendar. All changes made since the last `freeze()` are displayed.

### addListener

    public void addListener(CalendarListener listener)

  Register an object to handle calendar events.

  See Also:
    `CalendarListener`

### removeListener

    public void removeListener(CalendarListener listener)

  Removes a listener

  See Also:
    `addListener(CalendarListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Widget`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Widget`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_calendar_get_type

    protected static final int gtk_calendar_get_type()

### gtk_calendar_new

    protected static final Handle gtk_calendar_new()

### gtk_calendar_select_month

    protected static final int gtk_calendar_select_month(Handle calendar,
                                                         int month,
                                                         int year)

### gtk_calendar_select_day

    protected static final void gtk_calendar_select_day(Handle calendar,
                                                        int day)

### gtk_calendar_mark_day

    protected static final int gtk_calendar_mark_day(Handle calendar,
                                                     int day)

### gtk_calendar_unmark_day

    protected static final int gtk_calendar_unmark_day(Handle calendar,
                                                       int day)

### gtk_calendar_clear_marks

    protected static final void gtk_calendar_clear_marks(Handle calendar)

### gtk_calendar_set_display_options

    protected static final void gtk_calendar_set_display_options(Handle calendar,
                                                                 int flags)

### gtk_calendar_get_display_options

    protected static final int gtk_calendar_get_display_options(Handle calendar)

### gtk_calendar_get_date

    protected static final void gtk_calendar_get_date(Handle calendar,
                                                      int[] year,
                                                      int[] month,
                                                      int[] day)

### gtk_calendar_freeze

    protected static final void gtk_calendar_freeze(Handle calendar)

### gtk_calendar_thaw

    protected static final void gtk_calendar_thaw(Handle calendar)